System.ServiceModel 4.0.0.0 System.Object System.Collections.Generic.ICollection<T> System.Collections.Generic.IEnumerable<T> System.Collections.Generic.IList<T> System.Collections.IList System.Runtime.InteropServices.ComVisible(false) To be added.

The stores data in a container and provides an object that can be set and used to synchronize access to the collection so that it is thread-safe. The container can be recovered using the method. The synchronized object can be recovered using the property. It can only be set using one of the constructors that take the parameter.

Provides a thread-safe collection that contains objects of a type specified by the generic parameter as elements.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  If multiple instances of the are created using the same , then access is protected across all instances.

  Initializes a new instance of the class with the object used to synchronize access to the thread-safe collection.

  The object used to synchronize access the thread-safe collection.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  System.ParamArray
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void To be added.

  Removes all items from the collection.

- Method
  4.0.0.0
  System.Void To be added.

  Removes all items from the collection.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the thread-safe collection.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<T> To be added.

  Returns an enumerator that iterates through the synchronized collection.

  An for objects of the type stored in the collection.

- Method
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  T `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.List<T> To be added. To be added.

  Gets the list of elements contained in the thread-safe collection.

- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void ``

  The elements in the collection that follow the removed element move up to occupy the vacated spot and their indices are updated accordingly.

  Removes an item at a specified index from the collection.

  The zero-based index of the element to be retrieved from the collection.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes an item at a specified from the collection.

  The zero-based index of the element to be retrieved from the collection.
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Object To be added. To be added.

  Gets the object used to synchronize access to the thread-safe collection.

- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the collection to a specified array, starting at a particular index.

  The destination for the elements of type copied from the collection. The zero-based index in the array at which copying begins.
- Property
  4.0.0.0
  System.Boolean To be added.

  This property always returns true because the collection is thread safe.

  Gets a value that indicates whether the collection is thread safe.

- Property
  4.0.0.0
  System.Object To be added.

  The value of this object can be set when creating the thread-safe collection using the constructor.

  Gets the object used to synchronize access to the thread-safe collection.

- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the synchronized collection.

  An for objects of the type stored in the collection.

- Method
  4.0.0.0
  System.Int32 ``

  The position is given by a zero-based index.

  Adds an element to the collection.

  The position into which the new element was inserted.

  The object to add to the collection.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the collection contains an element with a specific value.

  true if the element is found in the collection; otherwise false.

  The object to locate in the collection.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Determines the zero-based index of an element in the collection.

  The index of the if found in the collection; otherwise, -1.

  The element in the collection whose index is being determined.
- Method
  4.0.0.0
  System.Void `` ``

  If the is equal to the number of elements in the collection, the item is appended to the list. If the is less than the number of elements in the collection, the elements that follow the point of insertion of the item move down to accommodate the new element.

  Inserts an object into the collection at a specified index.

  The zero-based index at which is to be inserted. The object to insert into the collection.
- Property
  4.0.0.0
  System.Boolean To be added.

  This property returns false because the collection can be added to and so is not fixed in size.

  Gets a value that indicates whether the collection is fixed in size.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property always returns false because the collection can be added to and so is not read only.

  Gets a value that indicates whether the collection is read only.

- Property
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void ``

  The elements in the collection that follow the removed element move up to occupy the vacated spot and their indices are updated accordingly.

  Removes the first occurrence of a specified object as an element from the collection.

  The object to be removed from the collection.